#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYTHONPATH=$(CURDIR)/debian/python-bloomfiltermmap/usr/lib/python2.7/dist-packages/

%:
	dh $@ --with python2

override_dh_auto_build:
	python setup.py build

override_dh_auto_install:
	dh_installdirs
	python setup.py install --install-layout=deb --prefix=$(CURDIR)/debian/python-bloomfiltermmap/usr
	rm -rf $(CURDIR)/debian/python-bloomfiltermmap/usr/lib/python2.7/dist-packages/site.*
	rm -rf $(CURDIR)/debian/python-bloomfiltermmap/usr/lib/python2.7/site-packages/

#override_dh_python2:
